/**
 * ConfigurationPanel
 *   Presents choices needed to enable/disable various features of NaviKey
 *   Intended to be incorporated in the main NaviKey UI
 * @author Michael Bartley
 * @date 7/1/99
 */

package mw;
import java.awt.*;

class ConfigurationPanel extends Panel{
    private Checkbox smartsbox;
    private Button infobutton;

    public ConfigurationPanel(){
	super();
	Label label = new Label("NaviKey options:  ");
	smartsbox = new Checkbox("Selection List Intelligence");
	smartsbox.setState(true);
	infobutton = new Button ("About NaviKey");
	Panel optspanel = new Panel();
	optspanel.add("West", smartsbox);
	optspanel.add("East", infobutton);
	this.add("West",label);
	this.add("Center",optspanel);
    }

    public void setForeground(Color c){
	smartsbox.setForeground(c);
	infobutton.setForeground(c);
	super.setForeground(c);
    }

    public void setBackground(Color c){
	smartsbox.setBackground(c);
	infobutton.setBackground(c);
	super.setBackground(c);
    }
    

    public boolean handleEvent(Event e){
	if(e.target == smartsbox){
	    if(e.id == Event.ACTION_EVENT){
		boolean old = ((Checkbox)e.target).getState();
		NaviKeyApplet.intelligence = (old ? true : false);
	    }
	}
	else if(e.target == infobutton){
	    if(e.id == Event.ACTION_EVENT){
		InfoFrame inf = new InfoFrame();
		inf.show();
		inf.resize(500,450);
		System.out.println("Info about NaviKey:");
	    }
	}
	return super.handleEvent(e);
    }


}
